// ==========================================================================
// Project:   RaphaelDemo
// Copyright: ©2010 Richard Klancer
// ==========================================================================
/*globals RaphaelDemo */

// This is the function that will start your app running.  The default
// implementation will load any fixtures you have created then instantiate
// your controllers and awake the elements on your page.
//
// As you develop your application you will probably want to override this.
// See comments for some pointers on what to do next.
//
RaphaelDemo.main = function main() {

  // Step 1: Instantiate Your Views
  // The default code here will make the mainPane for your application visible
  // on screen.  If you app gets any level of complexity, you will probably 
  // create multiple pages and panes.  
  RaphaelDemo.getPath('mainPage.mainPane').append() ;

  // Step 2. Set the content property on your primary controller.
  // This will make your app come alive!
  
  var fastPathSeries = RaphaelDemo.store.find(RaphaelDemo.DataSeries, 'fast-path');
  RaphaelDemo.FAST_PATH_QUERY = SC.Query.local(RaphaelDemo.DataPoint, { 
    conditions: 'series = {series}',
    series: fastPathSeries,
    orderBy: 'id'
  });
  RaphaelDemo.fastPathController.set('contentWhenConnected', RaphaelDemo.store.find(RaphaelDemo.FAST_PATH_QUERY));
  RaphaelDemo.fastPathController.set('series', fastPathSeries);

  var noFastPathSeries = RaphaelDemo.store.find(RaphaelDemo.DataSeries, 'no-fast-path');
  RaphaelDemo.NO_FAST_PATH_QUERY = SC.Query.local(RaphaelDemo.DataPoint, { 
    conditions: 'series = {series}',
    series: noFastPathSeries,
    orderBy: 'id'
  });
  RaphaelDemo.noFastPathController.set('contentWhenConnected', RaphaelDemo.store.find(RaphaelDemo.NO_FAST_PATH_QUERY));
  RaphaelDemo.noFastPathController.set('series', noFastPathSeries);
} ;

function main() { RaphaelDemo.main(); }
